function plotSpectrum(inSignal,fs)
% funkce pro vykresleni frekvencniho spektra signalu s realnymi frekvencemi

Y = fft(inSignal); % vypocet spektralnich slozek (dvoustranne spektrum)
Y2 = Y(1:round(length(Y)/2)); % vytvoreni jednostranneho spektra (0 -- fs/2 [Hz])

f = linspace(0,fs/2,length(Y2)); % vytvoreni frekvencni osy

figure;
plot(f,10*log10(abs(Y2)))
grid on

end

